Subject: [bug#41541] [PATCH 6/8] system: examples: Add bare-hurd.tmpl.

From: Mathieu Othacehe <[email-masked]>
Date: Sat, 06 Jun 2020 18:49:25 +0200

Hey,

>
> Yes, I agree.  Do you propose to hold back merging wip-hurd-vm until
> after merging the "image" catalog feature and then rewrite this message?

No, I have no clear objective for the catalog in mind, and as your serie
is almost ready, let's merge it first!

>  # Verify that the examples can be built.
>  for example in gnu/system/examples/*.tmpl; do
> -    guix system -n disk-image "$example"
> +    if echo "$example" | grep hurd; then
> +        target="--target=i586-pc-gnu"
> +    else
> +        target=
> +    fi
> +    guix system -n disk-image $target "$example"
>  done
>  
>  # Verify that the disk image types can be built.
>
> to "fix" that.  It feals a bit heavy, ugly and specific.  Ideas?

It's somehow linked to the catalog subject. I think we should get rid of
this "examples" folder and provide something encapsulating the
system/target, the image and the operating-system, but I'm not sure how.

For now, I don't think that there's much better that the hack you're
proposing.

Thanks,

Mathieu